use arrayvec::ArrayVec;

#[derive(Debug)]
pub struct Unknown {
    whisker_type: u8,
    data: ArrayVec<u8, 255>,
}

impl Unknown {
    pub(crate) fn new(whisker_type: u8, data: ArrayVec<u8, 255>) -> Self {
        Self { whisker_type, data }
    }

    pub fn whisker_type(&self) -> u8 {
        self.whisker_type
    }

    pub fn data(&self) -> &[u8] {
        &self.data
    }
}
